MAILPOST(1)

NAME
mailpost - feed an email message into a news group

SYNOPSIS
mailpost [ -r addr ] [ -f addr ] [ -a addr ] [ -d distribution ] [ -m mailing-list ] [ -b database ] newsgroups

DESCRIPTION
The mailpost program reads a properly formatted email message from stdin and feeds it to inews for posting to a news server. Before feeding the article to inews it checks that the article has not been seen before, and it changes some headers (cleans some address headers up and puts ``X-'' in front of unknown headers).

If the article has been seen before (mailpost records the message-id of all articles is handles), the the article will be silently dropped. Other errors will cause the article to be mailed to the newsmaster.

Normally mailpost is run by sendmail via an alias entry:

    local-mail-wreck-bikes: "|<PREFIX specified with --prefix at configure>/bin/mailpost
             -d local local.mail.rec.bicycles.racing"

newsgroups cannot be multiple groups. Only one newsgroup name is allowed.

OPTIONS

-r  If the ``-r'' flag is used the program will use the given address as the Path header, if no other value can be determined.

-f  The ``-f'' flag is a synonym for the ``-r'' flag.

-a  If the ``-a'' flag is used the value given is added to the article as an Approved header.

-d  If the ``-d'' flag is used the value given is added to the article as a Distribution header.

-m  If the ``-m'' flag is used the value given is added to the articles in a Mailing-List header, if a Mailing-List header doesn't already exist.

-b  IF the ``-b'' flag is used, then it defines the location of the database used to store the message ids of articles sent on. This is to prevent articles looping around if a news to mail gateway sends them back here. This option may be required if the mailpost process doesn't have write access to the news tmp directory (the value of pathtmp in inn.conf(5).

HISTORY
Written by Paul Vixie long ago and then hacked up by James Brister for INN integration.

FILES
<pathdb in inn.conf>/mailpost-msgid.db    database file

BUGS
Is lacking in configurability.

SEE ALSO
active(5), inn.conf(5), nnrpd(8), wildmat(3).